@import "variables";

main {
  padding-top: 0;
}

/**  ##### MODULES ##### **/
#modules {
  display: flex;
  flex-wrap: wrap;
  margin-left: 41px;
  padding: 20px;

  .tile {
    width: 450px;
    height: 260px;
    margin: 10px;
    border: 1px solid $light-gray;
    transition: border 400ms;
    box-shadow: 1.5px 1.5px 0 0 $light-gray;

    img {
      width: 450px;
      height: 260px;
    }

    &:hover {
      border: 1px solid $primary-gray;
      transition: border 300ms;
      cursor: pointer;
    }

    .thumbnail {
      overflow: hidden;
    }

    &.create-new {
      background-color: $primary-yellow;
      box-shadow: 1.5px 1.5px 0 0 $primary-yellow;

      img {
        width: 90px;
        display: block;
        margin: 63px auto 0;
      }

      span {
        display: block;
        margin-top: 15px;
        font-size: 18px;
        color: white;
        text-align: center;
      }
    }
  }
}

/**  ##### CREATE NEW MODULE MODAL/FORM ##### **/

#create-edit-module-modal {

  @media (min-width: 576px) {
    .modal-dialog {
      max-width: 900px;

      .modal-header {
        padding: 20px 30px 15px;

        .close {
          margin-top: -7px;
        }
      }

      .modal-body {
        padding: 30px;
      }
    }
  }

  #create-edit-module-form {

    #url-pre {
      margin-bottom: -40px;
    }
    #url {
      padding-left: 165px;
    }

    .cropit-preview {
      width: 450px;
      height: 260px;
      /*width: 100%;
      padding-bottom: 57.77%;*/
    }

    #description {
      height: 250px;
    }

    .char-count {
      float: right;
      font-size: 13px;
      color: gray;
      margin: 2px;
    }

    button[type="submit"] {
      float: right;
      margin: 20px 0 0 0;
    }
  }
}